Class DevicesListTeamDevicesBuilder

java.lang.Object
com.dropbox.core.v2.team.DevicesListTeamDevicesBuilder

public class DevicesListTeamDevicesBuilder extends Object
The request builder returned by DbxTeamTeamRequests.devicesListTeamDevicesBuilder().

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withCursor

      public DevicesListTeamDevicesBuilder withCursor(String cursor)
      Set value for optional field.
      Parameters:
      cursor - At the first call to the DbxTeamTeamRequests.devicesListTeamDevices(com.dropbox.core.v2.team.ListTeamDevicesArg) the cursor shouldn't be passed. Then, if the result of the call includes a cursor, the following requests should include the received cursors in order to receive the next sub list of team devices.
      Returns:
      this builder
    • withIncludeWebSessions

      public DevicesListTeamDevicesBuilder withIncludeWebSessions(Boolean includeWebSessions)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeWebSessions - Whether to list web sessions of the team members. Defaults to true when set to null.
      Returns:
      this builder
    • withIncludeDesktopClients

      public DevicesListTeamDevicesBuilder withIncludeDesktopClients(Boolean includeDesktopClients)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeDesktopClients - Whether to list desktop clients of the team members. Defaults to true when set to null.
      Returns:
      this builder
    • withIncludeMobileClients

      public DevicesListTeamDevicesBuilder withIncludeMobileClients(Boolean includeMobileClients)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      includeMobileClients - Whether to list mobile clients of the team members. Defaults to true when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      ListTeamDevicesErrorException
      DbxException